*---------------------------------------------------------------------------------------------
*
* gcc example1.s
* writing 32-bit longs to the hex display
*
* 05/10/2021 steve crompton
*
*---------------------------------------------------------------------------------------------

    .global _start

    .text

    .equ hex_display,0xab0000

_start:

    move.l #0x12340000,%d0          /* put "12340000" on the hex display */
    move.l %d0,hex_display          /* to indicate program start */

* wait

    move.l #0x100000,%d1            /* set wait time */

delay:

    sub.l #1,%d1                    /* wait */
    bne.s delay

* wait end

    move.l #0x00005678,%d0          /* put "00005678" on the hex display */
    move.l %d0,hex_display          /* to indicate program end */

forever:

*   bra.s forever                   /* wait for reset button to be pressed */

    move.b #228,%d7                 /* return to tutor monitor */
    trap #14

    .end

*---------------------------------------------------------------------------------------------
